### Function

# Pango default_break

#### Declaration [src]

    void
    pango_default_break (
      const char* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

This is the default break algorithm.

It applies rules from the Unicode Line Breaking Algorithm without language-specific tailoring, therefore the `analyis` argument is unused and can be `NULL`.

See `pango_tailor_break()` for language-specific breaks.

See `pango_attr_break()` for attribute-based customization.

#### Parameters

`text`

  Type: `const char*`

  Text to break. Must be valid UTF-8.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length of text in bytes (may be -1 if `text` is nul-terminated).

`analysis`

  Type: `PangoAnalysis`

  A `PangoAnalysis` structure for the `text`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attrs`

  Type: `PangoLogAttr`

  Logical attributes to fill in.

  The data is owned by the caller of the function.

`attrs_len`

  Type: `int`

  Size of the array passed as `attrs`.